<?php
	require_once( dirname(dirname(dirname(dirname(__FILE__)))) . '/wp-load.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<script type='text/javascript' src='<?php echo get_option('siteurl'); ?>/wp-includes/js/jquery/jquery.js?ver=1.3.2'></script>

<script type="text/javascript">
$j = jQuery.noConflict();

var api_key = "<?php echo get_option('flickrapikey') ?>";

var rawexifhtml = "";

var interestingbits = new Array();

$j(document).ready(function () {

    $j.getJSON('http://api.flickr.com/services/rest/?&method=flickr.photos.getExif&api_key='+api_key+'&photo_id=<?php echo (int)$_GET['flickr_id']; ?>&format=json&jsoncallback=?', function (exifdata) {

        if (exifdata.stat != 'fail') {
            $j(exifdata.photo.exif).each(function () {

                checkinterestingbits(this);
                rawexifhtml += "<div class='boringparts' ><strong>" + this.label + "</strong></div> <div class='boringvalue' >" + this.raw._content + "</div>";

            });
            interestingbitshtml = buildinterestingbits();

            $j("#interestingexif").html(interestingbitshtml);

            $j("#rawexif").html(rawexifhtml);

        } else {
			errorhtml = "<h1>Sorry! Cannot show EXIF data</h1>";
			errorhtml += "<p align='center' >Additionally Flickr said: "+exifdata.message+"</p>";
            $j("#interestingexif").html(errorhtml);
            $j('#showraw').html('');

        }

    }

    );
    $j('#showraw').toggle(function () {
        $j('#rawexif').show();
        $j('#showraw').html('<img src="<?php echo WP_PLUGIN_URL ; ?>/flickr-foto-info/images/arrowdown.png" > Hide it!');
    }, function () {
        $j('#rawexif').hide();
        $j('#showraw').html('<img src="<?php echo WP_PLUGIN_URL ; ?>/flickr-foto-info/images/arrowright.png" > Show more.');
    });
})

// Pretty stupid way to do this but I don't know any better

function checkinterestingbits(data) {

    switch (data.label) {
    case "Model":
        interestingbits["model"] = data.raw._content;
        break;
    case "Exposure":
        if (data.tagspace == "ExifIFD" || data.tagspace == "EXIF") {
            interestingbits["exposure"] = data.clean._content;
        }
        break;
    case "Aperture":
        if (data.tagspace == "ExifIFD"  || data.tagspace == "EXIF" ) {
            interestingbits["aperture"] = data.clean._content;
        }
        break;
    case "Focal Length":
        if (data.tagspace == "ExifIFD"  || data.tagspace == "EXIF" ) {
            interestingbits["focallength"] = data.clean._content;
        }
        break;
    case "ISO Speed":
        interestingbits["iso"] = data.raw._content;
        break;
    case "Exposure Bias":
        interestingbits["exposurebias"] = data.clean._content;
        break;
    case "Lens":
        interestingbits["lens"] = data.raw._content;
        break;
    case "Subject Distance":
        interestingbits["distance"] = data.raw._content;
        break;
    case "Exposure Program":

    	if (typeof data.clean == "undefined"){
        	interestingbits["program"] = data.raw._content;
        	break;
    	} else {
        	interestingbits["program"] = data.clean._content;
        	break;
    	}

    default:
    }

}

function buildinterestingbits() {

    tmphtml = "<div class='veryinteresting'>Camera</div><div class='interestingvalue'>" + interestingbits['model'] + "</div>";

    if (interestingbits['lens']){
    	tmphtml += "<div class='veryinteresting'>Lens</div><div class='interestingvalue'>" + interestingbits['lens'] + "</div>";
    }

    tmphtml += "<div class='veryinteresting'>Focal length</div><div class='interestingvalue'>" + interestingbits['focallength'] + "</div>";
    tmphtml += "<div class='veryinteresting'>Program</div><div class='interestingvalue'>" + interestingbits['program'] + "</div>";
    tmphtml += "<div class='veryinteresting'>Shutter speed</div><div class='interestingvalue'>" + interestingbits['exposure'] + "</div>";
    tmphtml += "<div class='veryinteresting'>Aperture</div><div class='interestingvalue'>" + interestingbits['aperture'] + "</div>";
    tmphtml += "<div class='veryinteresting'>ISO speed</div><div class='interestingvalue'>" + interestingbits['iso'] + "</div>";
    tmphtml += "<div class='veryinteresting'>Exposure bias</div><div class='interestingvalue'>" + interestingbits['exposurebias'] + "</div>";

    if (interestingbits['distance']){
    	tmphtml += "<div class='veryinteresting'>Subject distance</div><div class='interestingvalue'>" + interestingbits['distance'] + "</div>";
    }

    return tmphtml;

}

</script>
<style>
body {
	font-family: sans-serif;
	margin: 0px;
	padding: 0px;
}

h1 {
	text-align: center;
	margin: 0px;
}


.veryinteresting {
	width: 40%;
	float: left;
	font: bold 100% sans-serif;
	background: #EEEEEE;
	padding: 5px 5px 5px 10px;
}

.interestingvalue{
	font: 100% sans-serif;
	background: #EEEEEE;
	padding: 5px;
}

#rawexif {
	display: none;
}

#showraw img {
	border: 0px;
	margin-right: 10px;
}

#showraw {
	text-decoration: none;
}

.boringparts {
	width: 30%;
	float: left;
	font: 80% sans-serif;
	background: #FFFFFF;
	padding: 3px;
}

.boringvalue {
	font: 80% sans-serif;
	background: #FFFFFF;
	padding: 3px;
}

</style>

</head>
<body>
    <div id="interestingexif"></div>
    <div ><a href="#" id="showraw"><img src="<?php echo WP_PLUGIN_URL ; ?>/flickr-foto-info/images/arrowright.png" > Show more</a></div>
    <div id="rawexif"></div>
</body>
</html>