<?php
	/*
	 Plugin Name: Flickr Foto Info
	 Plugin URI: http://sanisoft.com/blog/wordpress-plugin-flickr-foto-info/
	 Description: Show additional info about a Flickr photo embedded in your blog post.
	 Author: Tarique Sani
	 Version: 1.4
	 Author URI: http://tariquesani.net/blog/
	 */

	/*  Copyright 2010  Tarique Sani  (email : tarique@sanisoft.com)

	 This program is free software; you can redistribute it and/or modify
	 it under the terms of the GNU General Public License as published by
	 the Free Software Foundation; either version 2 of the License, or
	 (at your option) any later version.

	 This program is distributed in the hope that it will be useful,
	 but WITHOUT ANY WARRANTY; without even the implied warranty of
	 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	 GNU General Public License for more details.

	 You should have received a copy of the GNU General Public License
	 along with this program; if not, write to the Free Software
	 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
	 */

	# Uncomment the next two lines to see error messages if things fail...
	# error_reporting(E_ALL);
	# ini_set("display_errors", 1);

	add_action('admin_menu', 'ffi_config_page');

	add_action('admin_init', 'ffi_init' );

	add_action('wp_print_scripts','myscriptvars');

	function myscriptvars() {
	?>
	<script type="text/javascript">
		var api_key = "<?php echo get_option('flickrapikey') ?>";
		var pluginurl = "<?php echo WP_PLUGIN_URL ; ?>";
	</script>
	<?php
	}

	function load_scripts() {
			wp_enqueue_script('thickbox');

			$flickrToolbarJs = WP_PLUGIN_URL . '/flickr-foto-info/js/flickr_toolbar.js';

			wp_register_script('flickrToolbarJs', $flickrToolbarJs);
			wp_enqueue_script( 'flickrToolbarJs');

	}

	function load_styles() {

			wp_enqueue_style('thickbox');

			$flickrToolbarCss = WP_PLUGIN_URL . '/flickr-foto-info/css/flickr_toolbar.css';

			wp_register_style('flickrToolbarCss', $flickrToolbarCss);
			wp_enqueue_style( 'flickrToolbarCss');

	}

	add_action('wp_print_styles','load_styles');

	add_action('wp_print_scripts','load_scripts');

	add_action('wp_footer', 'load_tb_fix');

	function load_tb_fix() {
			echo "\n" . '<script type="text/javascript">tb_pathToImage = "' . get_option('siteurl') . '/wp-includes/js/thickbox/loadingAnimation.gif"; tb_closeImage = "' . get_option('siteurl') . '/wp-includes/js/thickbox/tb-close.png";</script>'. "\n";
			echo '<style> #TB_title { background-color:#101010; height:27px; } </style>';
	}

        //Functions for settings page
	function ffi_init(){
		register_setting( 'ffi_plugin_options', 'flickrapikey');
	}

	function ffi_config_page() {
		add_options_page(__('Flickr foto info'), __('Flickr foto info'), 'manage_options', __FILE__, 'ffi_options_page');
	}


	function ffi_options_page() {
	?>
	<div class="wrap">
		<div class="icon32" id="icon-options-general"><br></div>
		<h2>Flickr foto info - By <a href="http://www.sanisoft.com" target="_blank">SANIsoft</a></h2>
			<form method="post" action="options.php">
				<?php settings_fields('ffi_plugin_options'); ?>
				<?php $options = get_option('flickrapikey'); ?>
				<table class="form-table">
					<tr>
						<th scope="row">Flickr API Key</th>
						<td>
							<input type="text" size="57" name="flickrapikey" value="<?php echo $options; ?>" />
						</td>
					</tr>
					<tr>
						<th scope="row"></th>
						<td>
						Enter the Flickr API key which you can get from <a href='http://www.flickr.com/services/apps/create/apply/' >http://www.flickr.com/services/apps/create/apply/</a> in the field above.
						</td>
					</tr>
				</table>
				<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
				</p>
			</form>
	</div>
	<?php
	}

	add_filter( 'plugin_action_links', 'ffi_plugin_action_links', 10, 2 );
	// Display a Settings link on the main Plugins page
	function ffi_plugin_action_links( $links, $file ) {

		if ( $file == plugin_basename( __FILE__ ) ) {
			$posk_links = '<a href="'.get_admin_url().'options-general.php?page=flickr-foto-info/flickr-foto-info.php">'.__('Settings').'</a>';
			// make the 'Settings' link appear first
			array_unshift( $links, $posk_links );
		}

		return $links;
	}

